Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		fltk
Version:	1.1.7
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.fltk.org/
Group:		Development/Libraries
Source0:	%{name}-%{version}-source.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	fltk is a cross-platform C++ GUI toolkit.

%description
fltk (pronounced "fulltick") is a cross-platform C++ GUI toolkit for
UNIX./Linux. (X11), Microsoft. Windows., and MacOS. X.
FLTK provides modern GUI functionality without the bloat and supports
3D graphics via OpenGL. and its built-in GLUT emulation.
For more details see: http://www.fltk.org/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary: 	%{name} docs.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%package gl
Summary: 	OpenGL files for %{name}.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description gl
OpenGL files for %{name}.

%package gl-devel
Summary: 	%{name} OpenGL development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}
Requires: 	%{name}-gl = %{version}-%{release}

%description gl-devel
Header and include files for developing OpenGL applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--with-optim="$CFLAGS" \
--enable-xft \
--enable-xdbe \
--enable-shared \
--enable-threads
make

%install
%define _docdir %_datadir/doc
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/fluid
%_libdir/libfltk.so.*
%_libdir/libfltk_forms.so.*
%_libdir/libfltk_images.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_bindir/fltk-config
%_includedir
%_libdir/libfltk.a
%_libdir/libfltk.so
%_libdir/libfltk_forms.a
%_libdir/libfltk_forms.so
%_libdir/libfltk_images.a
%_libdir/libfltk_images.so
%exclude %_includedir/FL/Fl_Gl*
%exclude %_includedir/FL/gl*

%files doc
%defattr(-,root,root)
%_datadir/doc

%files gl
%defattr(-,root,root)
%_libdir/libfltk_gl.so.*

%files gl-devel
%defattr(-,root,root)
%_libdir/libfltk_gl.a
%_libdir/libfltk_gl.so
%_includedir/FL/Fl_Gl*
%_includedir/FL/gl*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-2
- enabled threads
* Tue Feb 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-1
- Version Update 
* Wed Nov 16 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.6-2
- rebuilt, removed wrong Obsoletes-Tag,
- moved more files to devel package
* Mon Mar 14 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.6-1
- Initial Release
